Bug 1052000 - (CVE-2014-0009) CVE-2014-0009 moodle: group constraint checking issue for loginas (MSA-14-0002)
CVE-2014-0009 moodle: group constraint checking issue for loginas (MSA-14-0002)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140120,repor...
: Security
Depends On: 1055388 1055390
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-13 00:11 EST by Murray McAllister
Modified: 2015-08-22 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-01-13 00:11:44 EST
Itamar Tzadok found an issue in the group constraint checking for loginas. In some cases if a user had loginas privileges but not the site:accessallgroups capability, they could use this flaw to log in as a user not in their group. This issue affected Moodle versions 2.6, 2.5 to 2.5.4, 2.4 to 2.4.7, 2.3 to 2.3.10 and earlier unsupported versions. It has been fixed in 2.6.1, 2.5.4, 2.4.8 and 2.3.11.

I have not checked if versions 1.9.19 in EPEL 5 is affected or not.

According to the Moodle documentation, loginas cannot be used to log in as an administrator:

http://docs.moodle.org/25/en/Capabilities/moodle/user:loginas

Patch:

http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-42643
Comment 1 Ratul Gupta 2014-01-20 02:21:42 EST
Created moodle tracking bugs for this issue:

Affects: fedora-all [bug 1055388]
Affects: epel-all [bug 1055390]
Comment 2 Murray McAllister 2014-01-20 18:29:20 EST
Upstream announcement:

https://moodle.org/mod/forum/discuss.php?d=252415

Note You need to log in before you can comment on or make changes to this bug.